/// <reference types="node" />
import { EventStreamCodec } from "@smithy/eventstream-codec";
import { MessageSigner } from "@smithy/types";
import { Transform, TransformCallback, TransformOptions } from "stream";
/**
 * @internal
 */
export interface EventSigningStreamOptions extends TransformOptions {
    priorSignature: string;
    messageSigner: MessageSigner;
    eventStreamCodec: EventStreamCodec;
}
/**
 * @internal
 *
 * A transform stream that signs the eventstream
 */
export declare class EventSigningStream extends Transform {
    private priorSignature;
    private messageSigner;
    private eventStreamCodec;
    constructor(options: EventSigningStreamOptions);
    _transform(chunk: Uint8Array, encoding: string, callback: TransformCallback): Promise<void>;
}
